package com.pixelized.biblib.ui.theme.color


import androidx.compose.ui.graphics.Color
import javax.annotation.concurrent.Immutable

@Immutable
object BibLibColorPalette {
    val VeryDarkBlue: Color = Color(0xFF09179D)
    val DarkBlue: Color = Color(0xFF1A2BDB)
    val Blue: Color = Color(0xFF2970F2)
    val LightBlue: Color = Color(0xFF1A91DB)
    val VeryLightBlue: Color = Color(0xFF1EDDEF)
    val VeryDarkPurple: Color = Color(0xFF5F0E9E)
    val DarkPurple: Color = Color(0xFF8330DB)
    val Purple: Color = Color(0xFF9B54C3)
    val LightPurple: Color = Color(0xFFBC52D9)
    val VeryLightPurple: Color = Color(0xFFC856D1)
    val VeryDarkGreen: Color = Color(0xFF16544A)
    val DarkGreen: Color = Color(0xFF207A6B)
    val Green: Color = Color(0xFF269482)
    val LightGreen: Color = Color(0xFF2AA18D)
    val VeryLightGreen: Color = Color(0xFF3AE0C5)
    val VeryDarkRed: Color = Color(0xFF631221)
    val DarkRed: Color = Color(0xFFA21D36)
    val Red: Color = Color(0xFFC92443)
    val LightRed: Color = Color(0xFFE32849)
    val VeryLightRed: Color = Color(0xFFF02B4F)
    val VeryDarkPink: Color = Color(0xFF960064)
    val DarkPink: Color = Color(0xFFBD007E)
    val Pink: Color = Color(0xFFD6008F)
    val LightPink: Color = Color(0xFFE35BB5)
    val VeryLightPink: Color = Color(0xFFFF66CC)
    val VeryDarkYellow: Color = Color(0xFFB76036)
    val DarkYellow: Color = Color(0xFFD48341)
    val Yellow: Color = Color(0xFFF3A850)
    val LightYellow: Color = Color(0xFFF5BF63)
    val VeryLightYellow: Color = Color(0xFFF9D679)
    val VeryDarkGrey: Color = Color(0xFF1D1D1D)
    val DarkGrey: Color = Color(0xFF424242)
    val Grey: Color = Color(0xFF919195)
    val LightGrey: Color = Color(0xFFDFDFDF)
    val VeryLightGrey: Color = Color(0xFFF9F9F9)
}

object ShadowPalette {
    val system: Color = Color.Black.copy(alpha = 0.37f)
    val scrim: Color = Color.Black.copy(alpha = 0.37f)
}

@Immutable
object GoogleColorPalette {
    val blue: Color = Color(0xFF4285F4)
    val red: Color = Color(0xFFEA4335)
    val yellow: Color = Color(0xFFFBBC05)
    val green: Color = Color(0xFF34A853)
}